'use client'
import BannerHumas from "@/components/Landing Page/BannerHumas";
import BodyLayout from "@/components/Landing Page/BodyLayout";
import HeaderNews from "@/components/Landing Page/HeaderNews";
import { HumasLayout } from "@/components/layout/HumasLayout";
import { useEffect, useState } from "react";

export default function Home() {
	const [hasMounted, setHasMounted] = useState(false);

	useEffect(() => {
		setHasMounted(true);
	}, []);

	// Render
	if (!hasMounted) return null;

	return (
		<>
			<HumasLayout>
				<BannerHumas />
				<HeaderNews />
				<BodyLayout />
			</HumasLayout>
		</>
	);
}
